AIQueueForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.autoDisc.AIQueueForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.autoDisc
Class AIQueueForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.hyperic.hq.ui.action.portlet.autoDisc.AIQueueForm

All Implemented Interfaces:
  java.io.Serializable

    public class AIQueueForm

extends org.apache.struts.action.ActionForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`AIQueueForm()`

Method Summary
`java.lang.Integer[]` | `getPlatformsToProcess()`
`int` | `getQueueAction()`
`java.lang.Integer[]` | `getServersToProcess()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.ServletRequest request)`
`void` | `setPlatformsToProcess(java.lang.Integer[] platforms)`
`void` | `setQueueAction(int a)`
`void` | `setServersToProcess(java.lang.Integer[] servers)`
`void` | `setServersToProcess(java.util.List servers)`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIQueueForm

    public AIQueueForm()

Method Detail

### getPlatformsToProcess

    public java.lang.Integer[] getPlatformsToProcess()

### setPlatformsToProcess

    public void setPlatformsToProcess(java.lang.Integer[] platforms)

### getServersToProcess

    public java.lang.Integer[] getServersToProcess()

### setServersToProcess

    public void setServersToProcess(java.lang.Integer[] servers)

### setServersToProcess

    public void setServersToProcess(java.util.List servers)

### getQueueAction

    public int getQueueAction()

### setQueueAction

    public void setQueueAction(int a)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `org.apache.struts.action.ActionForm`

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.ServletRequest request)

  Overrides:
    `reset` in class `org.apache.struts.action.ActionForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.